SIVP Toolbox
Last update : April, 2006

im2uint16 - Convert image to 16-bit unsigned integers

### Calling Sequence

  `im2 = im2uint16(im)`

### Parameters

- `im`: An matrix/image, which can be ANY image supported by SIVP.
- `im2`: Output image, a 16-bit unsigned integer matrix.

### Description

`im2uint16` convert intensity or RGB images to 16-bit unsigned integers. If the input is of class `uint16`, the output image is identical to it. Otherwise, `im2uint16` rescales or offsets the data, and returns the equivalent image of class `uint16`.

### Authors

  Shiqi Yu <shiqi.yu[at]gmail.com>

### Availability

The latest version of SIVP can be found at

http://sivp.sourceforge.net

### See Also

`im2bw`, `im2uint8`, `im2int8`, `im2int16`, `im2int32`, `im2double`, `mat2gray`,